# API Package

API Package is a Python package designed to improve the development experience with [FastAPI](https://fastapi.tiangolo.com/). It provides helpful tools and better structure for managing routes, authentication, and error handling.

## Features

- **Error Handling Middleware**: Adds middleware to handle server errors gracefully, log errors, and return them in a more structured format.
  
- **Authentication Helpers**: Provides helper functions to handle authentication using custom logic for header and query parameters.

- **Cleaner Route Management**: Includes classes for easier route and router creation, making it simpler to structure and manage your FastAPI routes.

## Installation

You can install the package via pip:

```bash
pip install dtpyapi
```
